"use strict";
const common_vendor = require("../../common/vendor.js");
const common_assets = require("../../common/assets.js");
const _sfc_main = {
  data() {
    return {
      avatarUrl: "",
      nickname: "",
      phone: "",
      wechatName: "",
      editNicknameValue: "",
      showNicknamePopup: false
    };
  },
  onLoad() {
    this.getUserInfo();
  },
  methods: {
    async getUserInfo() {
      const uid = common_vendor.index.getStorageSync("uid");
      const res = await common_vendor.index.request({
        url: `http://localhost:9527/api/getUid?uid=${uid}`,
        method: "GET"
      });
      if (res.statusCode === 200 && res.data.code === 200) {
        const data = res.data.data;
        this.avatarUrl = data.avatarUrl;
        this.nickname = data.nickname;
        this.phone = data.phone;
        this.wechatName = data.wechatName || "";
      }
    },
    // 选择并上传头像
    chooseAvatar() {
      common_vendor.index.chooseImage({
        count: 1,
        success: async (chooseRes) => {
          const filePath = chooseRes.tempFilePaths[0];
          const uploadRes = await common_vendor.index.uploadFile({
            url: "你的OSS上传接口",
            // TODO: 替换为你的OSS上传接口
            filePath,
            name: "file"
          });
          const avatarUrl = JSON.parse(uploadRes.data).url;
          await common_vendor.index.request({
            url: "http://localhost:9527/api/updateUser",
            method: "POST",
            data: { uid: common_vendor.index.getStorageSync("uid"), avatarUrl }
          });
          this.avatarUrl = avatarUrl;
          common_vendor.index.showToast({ title: "头像已更新", icon: "success" });
        }
      });
    },
    // 编辑昵称
    editNickname() {
      this.editNicknameValue = this.nickname;
      this.showNicknamePopup = true;
    },
    async saveNickname() {
      await common_vendor.index.request({
        url: "http://localhost:9527/api/updateUser",
        method: "POST",
        data: { uid: common_vendor.index.getStorageSync("uid"), nickname: this.editNicknameValue }
      });
      this.nickname = this.editNicknameValue;
      this.showNicknamePopup = false;
      common_vendor.index.showToast({ title: "昵称已更新", icon: "success" });
    },
    // 跳转更换手机号
    goToChangePhone() {
      common_vendor.index.navigateTo({ url: "/pages/mine/changePhone" });
    },
    // 跳转设置密码
    goToSetPassword() {
      common_vendor.index.navigateTo({ url: "/pages/mine/setPassword" });
    },
    // 跳转账号注销
    goToCancelAccount() {
      common_vendor.index.navigateTo({ url: "/pages/mine/cancelAccount" });
    },
    // 跳转解绑微信
    goToUnbindWechat() {
      common_vendor.index.navigateTo({ url: "/pages/mine/unbindWechat" });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return common_vendor.e({
    a: $data.avatarUrl,
    b: common_vendor.o((...args) => $options.chooseAvatar && $options.chooseAvatar(...args)),
    c: common_vendor.t($data.nickname),
    d: common_vendor.o((...args) => $options.editNickname && $options.editNickname(...args)),
    e: common_vendor.t($data.phone),
    f: common_vendor.o((...args) => $options.goToChangePhone && $options.goToChangePhone(...args)),
    g: common_assets._imports_0$2,
    h: common_vendor.t($data.wechatName),
    i: common_vendor.o((...args) => $options.goToUnbindWechat && $options.goToUnbindWechat(...args)),
    j: common_vendor.o((...args) => $options.goToSetPassword && $options.goToSetPassword(...args)),
    k: common_vendor.o((...args) => $options.goToCancelAccount && $options.goToCancelAccount(...args)),
    l: $data.showNicknamePopup
  }, $data.showNicknamePopup ? {
    m: $data.editNicknameValue,
    n: common_vendor.o(($event) => $data.editNicknameValue = $event.detail.value),
    o: common_vendor.o(($event) => $data.showNicknamePopup = false),
    p: common_vendor.o((...args) => $options.saveNickname && $options.saveNickname(...args))
  } : {});
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-935803c6"]]);
wx.createPage(MiniProgramPage);
//# sourceMappingURL=../../../.sourcemap/mp-weixin/pages/mine/profile.js.map
