"use strict";
const common_vendor = require("../../common/vendor.js");
const _sfc_main = {
  data() {
    return {
      wechatName: ""
    };
  },
  onLoad() {
    this.wechatName = common_vendor.index.getStorageSync("wechatName") || "未绑定";
  },
  methods: {
    submit() {
      common_vendor.index.showModal({
        title: "确认解绑",
        content: "解绑后将无法使用微信快捷登录，是否继续？",
        success: (res) => {
          if (res.confirm) {
            common_vendor.index.request({
              url: "http://localhost:9527/api/unbindWechat",
              method: "POST",
              data: { uid: common_vendor.index.getStorageSync("uid") },
              success: (res2) => {
                if (res2.statusCode === 200 && res2.data.code === 200) {
                  common_vendor.index.showToast({ title: "解绑成功", icon: "success" });
                  setTimeout(() => common_vendor.index.navigateBack(), 1e3);
                } else {
                  common_vendor.index.showToast({ title: res2.data.message || "解绑失败", icon: "none" });
                }
              }
            });
          }
        }
      });
    }
  }
};
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return {
    a: common_vendor.t($data.wechatName),
    b: common_vendor.o((...args) => $options.submit && $options.submit(...args))
  };
}
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["render", _sfc_render], ["__scopeId", "data-v-8015864b"]]);
wx.createPage(MiniProgramPage);
//# sourceMappingURL=../../../.sourcemap/mp-weixin/pages/mine/unbindWechat.js.map
